Intel Parallel Studio
=====================

The Salomon cluster provides following elements of the Intel Parallel Studio XE

|Intel Parallel Studio XE|
|  -------------------------------------------------|
|Intel Compilers|
|Intel Debugger|
|Intel MKL Library|
|Intel Integrated Performance Primitives Library|
|Intel Threading Building Blocks Library|
|Intel Trace Analyzer and Collector|
|Intel Advisor|
|Intel Inspector|

Intel compilers
---------------

The Intel compilers version 131.3 are available, via module iccifort/2013.5.192-GCC-4.8.3. The compilers include the icc C and C++ compiler and the ifort fortran 77/90/95 compiler.

```bash
    $ module load intel
    $ icc -v
    $ ifort -v
```

Read more at the [Intel Compilers](intel-compilers/) page.

Intel debugger
--------------
IDB is no longer available since Parallel Studio 2015.

The intel debugger version 13.0 is available, via module intel. The debugger works for applications compiled with C and C++ compiler and the ifort fortran 77/90/95 compiler. The debugger provides java GUI environment.
```bash
    $ module load intel
    $ idb
```

Read more at the [Intel Debugger](intel-debugger/) page.

Intel Math Kernel Library
-------------------------
Intel Math Kernel Library (Intel MKL) is a library of math kernel subroutines, extensively threaded and optimized for maximum performance. Intel MKL unites and provides these basic components: BLAS, LAPACK, ScaLapack, PARDISO, FFT, VML, VSL, Data fitting, Feast Eigensolver and many more.

```bash
    $ module load imkl
```

Read more at the [Intel MKL](intel-mkl/) page.

Intel Integrated Performance Primitives
---------------------------------------
Intel Integrated Performance Primitives, version 7.1.1, compiled for AVX is available, via module ipp. The IPP is a library of highly optimized algorithmic building blocks for media and data applications. This includes signal, image and frame processing algorithms, such as FFT, FIR, Convolution, Optical Flow, Hough transform, Sum, MinMax and many more.

```bash
    $ module load ipp
```

Read more at the [Intel IPP](intel-integrated-performance-primitives/) page.

Intel Threading Building Blocks
-------------------------------
Intel Threading Building Blocks (Intel TBB) is a library that supports scalable parallel programming using standard ISO C++ code. It does not require special languages or compilers. It is designed to promote scalable data parallel programming. Additionally, it fully supports nested parallelism, so you can build larger parallel components from smaller parallel components. To use the library, you specify tasks, not threads, and let the library map tasks onto threads in an efficient manner.

```bash
    $ module load tbb
```

Read more at the [Intel TBB](intel-tbb/) page.
